edu.isi.pegasus.planner.catalog.site.classes

## Class InternalMountPoint

- java.lang.Object
- - edu.isi.pegasus.planner.catalog.site.classes.SiteData
  - - edu.isi.pegasus.planner.catalog.site.classes.AbstractSiteData
    - - edu.isi.pegasus.planner.catalog.site.classes.FileSystemType
      - - edu.isi.pegasus.planner.catalog.site.classes.InternalMountPoint

All Implemented Interfaces:
  java.lang.Cloneable

    public class InternalMountPoint
    extends FileSystemType

A data class to signify the Internal Mount Point for a filesystem.

Author:
  Karan Vahi

### Field Summary

### Fields inherited from class edu.isi.pegasus.planner.catalog.site.classes.FileSystemType

`mFreeSize, mMountPoint, mTotalSize`

### Constructor Summary

Constructors
Constructor and Description
`InternalMountPoint()` The default constructor.
`InternalMountPoint(java.lang.String mountPoint)` The overloaded constructor.
`InternalMountPoint(java.lang.String mountPoint, java.lang.String totalSize, java.lang.String freeSize)` The overloaded constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `accept(SiteDataVisitor visitor)` Accept method for the SiteData classes that accepts a visitor
`boolean` `isEmpty()` A convenience method that returns true if all the attributes values are uninitialized or empty strings.
`void` `toXML(java.io.Writer writer, java.lang.String indent)` Writes out the xml description of the object.

### Methods inherited from class edu.isi.pegasus.planner.catalog.site.classes.FileSystemType

`clone, getFreeSize, getMountPoint, getTotalSize, setFreeSize, setMountPoint, setTotalSize`

### Methods inherited from class edu.isi.pegasus.planner.catalog.site.classes.AbstractSiteData

`toString, toXML, writeAttribute`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InternalMountPoint

    public InternalMountPoint()

The default constructor.

#### InternalMountPoint

    public InternalMountPoint(java.lang.String mountPoint)

The overloaded constructor.

Parameters:
  `mountPoint` - the mount point of the system.

#### InternalMountPoint

    public InternalMountPoint(java.lang.String mountPoint,
                              java.lang.String totalSize,
                              java.lang.String freeSize)

The overloaded constructor.

Parameters:
  `mountPoint` - the mount point of the system.
  `totalSize` - the total size of the system.
  `freeSize` - the free size

### Method Detail

#### isEmpty

    public boolean isEmpty()

A convenience method that returns true if all the attributes values are uninitialized or empty strings. Useful for serializing the object as XML.

Returns:
  boolean

#### toXML

    public void toXML(java.io.Writer writer,
                      java.lang.String indent)
               throws java.io.IOException

Writes out the xml description of the object.

Specified by:
  `toXML` in class `AbstractSiteData`
Parameters:
  `writer` - is a Writer opened and ready for writing. This can also be a StringWriter for efficient output.
  `indent` - the indent to use.
Throws:
  `java.io.IOException` - if something fishy happens to the stream.

#### accept

    public void accept(SiteDataVisitor visitor)

Description copied from class: `AbstractSiteData`
Accept method for the SiteData classes that accepts a visitor

Specified by:
  `accept` in class `AbstractSiteData`
Parameters:
  `visitor` - the visitor to be used